Bug 1089196 - Apache Accumulo
Summary: Apache Accumulo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Depends On: 1117077
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-18 08:41 UTC by Jaroslav Reznik
Modified: 2014-12-08 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:37 UTC
Type: ---
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-18 08:41:35 UTC
This is a tracking bug for Change: Apache Accumulo
For more details, see: http://fedoraproject.org//wiki/Changes/ApacheAccumulo

The Apache Accumulo is a scalable sorted, distributed, key/value store.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:47 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Christopher Tubbs 2014-07-08 14:26:02 UTC
Since the package is not yet ready (I need to alter a few start-up scripts provided by upstream), should we move this to F22, or deliver it later as an update to F21? I'm not sure the proper solution here. Regardless, I intend to get it in the best state I can as soon as possible.

Comment 3 Mikolaj Izdebski 2014-07-08 14:35:44 UTC
This is a standalone feature and the package is mostly complete, but there are some remaining issues to be resolved. I think that we should get the package reviewed ASAP and then resolve any remainig issues (test blockers) before alpha.

I am for keeping it in F21.

Comment 4 Mikolaj Izdebski 2014-07-08 21:16:30 UTC
The package has been accepted to Fedora. There are some issues to be resolved, but me and Christopher consider this change as implemented. Clearing needinfo.

Comment 5 Jaroslav Reznik 2014-07-09 11:16:07 UTC
Thanks for update! It's great you make it on time.

To answer the question (for the next time). If you miss change deadline, you are still allowed to include package as part of update for specific release. It just disappears from the list of changes. This applies for standalone self contained changes. It could be more tricky for system wide, I'm usually trying to explain it to FESCo but sometimes it's just easier/saner to push it to the next Fedora release.

Comment 6 Jaroslav Reznik 2014-10-07 12:23:57 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 7 Jaroslav Reznik 2014-10-13 14:28:19 UTC
Based on comment #4, moving to ON_QA.

Comment 8 Simon Clark 2014-10-21 18:49:41 UTC
I have drafted the F21 release notes entry for Apache Accumulo.  Please would you take a look at https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/Database_Servers.xml and let me know if it is OK or if anything needs to be added or changed.

Thanks.

Comment 9 Christopher Tubbs 2014-10-22 13:02:43 UTC
(In reply to Simon Clark from comment #8)
> I have drafted the F21 release notes entry for Apache Accumulo.  Please
> would you take a look at
> https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/
> Database_Servers.xml and let me know if it is OK or if anything needs to be
> added or changed.
> 
> Thanks.

That looks fine to me. Do we want to make a note that Accumulo's optional monitor service is not currently provided, due to the jQuery feature (bz#1078903) not being completed? (bz#1132725)

Comment 10 Mikolaj Izdebski 2014-10-22 13:06:13 UTC
(In reply to Christopher Tubbs from comment #9)
> monitor service is not currently provided, due to the jQuery feature
> (bz#1078903) not being completed? (bz#1132725)

Just as a note: jQuery can be bundled until it is packaged, so you could just include jquery in accumulo package. See https://fedorahosted.org/fpc/ticket/408

Comment 11 Simon Clark 2014-10-27 16:22:44 UTC
(In reply to Christopher Tubbs from comment #9)
> That looks fine to me. Do we want to make a note that Accumulo's optional
> monitor service is not currently provided, due to the jQuery feature
> (bz#1078903) not being completed? (bz#1132725)

I have added the following: "Please note that Accumulo's optional monitor service is not provided in the initial F21 release. It will be made available as soon as all its dependencies are in place."  I hope that is an accurate description of the situation.

https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/Database_Servers.xml

Comment 12 Christopher Tubbs 2014-10-27 16:34:06 UTC
(In reply to Simon Clark from comment #11)
> [snipped]

Looks good to me. Thanks!


Note You need to log in before you can comment on or make changes to this bug.